## whoopsie-daisy 0.1

=== Makefile ===
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) -g -Ilib
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl)
SOURCES=src/whoopsie.c lib/bson/bson.c lib/bson/encoding.c lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=src/whoopsie
BIN=$(DESTDIR)/usr/bin

.PHONY: all clean check install

install: all
	install -d $(BIN)
	install src/whoopsie $(BIN)
all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
	$(MAKE) -C src/tests clean
check:
	$(MAKE) -C src/tests
%.o: %.c
	c99 -c -o $@ $< $(CFLAGS)

=== debian/changelog ===
whoopsie-daisy (0.1) precise; urgency=low

  * Initial Release.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 01 Dec 2011 14:33:08 +0000

=== debian/control ===
Source: whoopsie-daisy
Section: utils
Priority: optional
Maintainer: Evan Dandrea <ev@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0)
Standards-Version: 3.9.2
Homepage: http://wiki.ubuntu.com/ErrorTracker
Vcs-Bzr: http://code.launchpad.net/~ev/+junk/crashdb

Package: whoopsie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Ubuntu crash database submission daemon.

## whoopsie-daisy 0.1.1

=== src/tests/Makefile ===
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) -g -I../../lib -I.. -DTEST -DTEST_DIR=\"$(CURDIR)\"
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl)
SOURCES=test_parse_report.c ../whoopsie.c ../../lib/bson/bson.c ../../lib/bson/encoding.c ../../lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.test.o)
EXECUTABLE=test

.PHONY: all clean check

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
%.test.o: %.c
	c99 -c -o $@ $< $(CFLAGS)

=== debian/changelog ===
whoopsie-daisy (0.1.1) precise; urgency=low

  * Build dependencies.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 09 Jan 2012 08:29:06 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: utils
 Priority: optional
 Maintainer: Evan Dandrea <ev@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0)
+Build-Depends: debhelper (>= 8.0.0),
+ libglib2.0-dev,
+ libcurl4-openssl-dev,
+ network-manager-dev
 Standards-Version: 3.9.2
 Homepage: http://wiki.ubuntu.com/ErrorTracker
 Vcs-Bzr: http://code.launchpad.net/~ev/+junk/crashdb

## whoopsie-daisy 0.1.2

=== Makefile ===
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) $(shell libgcrypt-config --cflags) -g -Ilib -Wall -Werror
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --libs) -lcap
SOURCES=src/whoopsie.c lib/bson/bson.c lib/bson/encoding.c lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=src/whoopsie
BIN=$(DESTDIR)/usr/bin
DATA=$(DESTDIR)/etc

.PHONY: all clean check install

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
	$(MAKE) -C src/tests clean
check:
	$(MAKE) -C src/tests
	./src/tests/test
%.o: %.c
	c99 -c $(CFLAGS) -o $@ $<

install: all
	install -d $(BIN)
	install src/whoopsie $(BIN)
	install -d $(DATA)/init
	install -m644 data/whoopsie.conf $(DATA)/init

=== debian/changelog ===
whoopsie-daisy (0.1.2) precise; urgency=low

  * Added an upstart job.
  * Don't segfault if we cannot open the report.
  * Move to txstatsd for metrics submission.
  * Moved to WSGI.
  * Dropped Content-length, as it's superfluous.
  * Use oops-repository for talking to Cassandra.
  * Update the documentation.
  * Don't run install target on make.
  * Fix a double-free when a report is addded, then removed from the queue.
  * Submit the core file when asked.
  * Add initial MQ publishing for core file processing.
  * Submit a SHA-512 hash of the system UUID to key against.
  * Drop privileges when spawning.
  * Don't crash if there are files without an extension in /var/crash.
  * Fix a really nasty memory corruption bug.
  * Make warnings build failures.
  * Remove the lock file on exit.
  * Add tests for get_system_uuid, get_crash_db_url, and hex_to_char.
  * Move to GNetworkMonitor from NetworkManager for the network
    connectivity check.
  * Ensure in the postinst that whoopsie can read crash reports in
    /var/crash.
  * Isolate whoopsie into its own mount namespace, dropping all privileges and
    capabilities but CAP_FOWNER, so that we can delete files in /var/crash even
    though it's +t.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 18 Jan 2012 17:26:02 +0000

## whoopsie-daisy 0.1.3

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl NetworkManager) $(shell libgcrypt-config --cflags) -g -Ilib -Wall -Werror
+CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --cflags) -g -Ilib -Wall -Werror
 LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --libs) -lcap
 SOURCES=src/whoopsie.c lib/bson/bson.c lib/bson/encoding.c lib/bson/numbers.c
 OBJECTS=$(SOURCES:.c=.o)

=== src/tests/Makefile ===
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) -g -I../../lib -I.. -DTEST -DTEST_DIR=\"$(CURDIR)\"
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap
SOURCES=test_parse_report.c ../whoopsie.c ../../lib/bson/bson.c ../../lib/bson/encoding.c ../../lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.test.o)
EXECUTABLE=test

.PHONY: all clean check

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
%.test.o: %.c
	c99 -c -o $@ $< $(CFLAGS)

=== debian/changelog ===
whoopsie-daisy (0.1.3) precise; urgency=low

  * Drop NetworkManager cflags and libs from Makefile.
  * Add missing -lcap to tests Makefile.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 18 Jan 2012 17:58:17 +0000

## whoopsie-daisy 0.1.4

=== debian/changelog ===
whoopsie-daisy (0.1.4) precise; urgency=low

  * Write the system UUID to the UserOOPS ColumnFamily.
  * Drop the CAP_FOWNER stuff.  As James points out, we can just write a
    .uploaded file and let cron clean up the mess.
  * Have the client pass the architecture, rather that have an intermediary
    processing step in the MQ.
  * Add retracing support in process_core.py.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 26 Jan 2012 12:46:54 +0000

=== debian/control ===
Source: whoopsie-daisy
Section: utils
Priority: optional
Maintainer: Evan Dandrea <ev@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 libglib2.0-dev (>= 2.31.6),
 libcurl4-openssl-dev,
 libgcrypt11-dev,
 libcap-dev
Standards-Version: 3.9.2
Homepage: http://wiki.ubuntu.com/ErrorTracker
Vcs-Bzr: http://code.launchpad.net/whoopsie-daisy

Package: whoopsie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Description: Ubuntu crash database submission daemon.

## whoopsie-daisy 0.1.6

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 .PHONY: all clean check install
 
 all: $(SOURCES) $(EXECUTABLE)
+	$(MAKE) -C preferences
 
 $(EXECUTABLE): $(OBJECTS)
 	c99 $(OBJECTS) $(LIBS) -o $@
@@ -19,10 +20,11 @@
 	$(MAKE) -C src/tests
 	./src/tests/test
 %.o: %.c
-	c99 -c $(CFLAGS) -o $@ $<
+	c99 -c $(CFLAGS) -o $@ $^
 
 install: all
 	install -d $(BIN)
 	install src/whoopsie $(BIN)
 	install -d $(DATA)/init
 	install -m644 data/whoopsie.conf $(DATA)/init
+	$(MAKE) -C preferences install

=== preferences/Makefile ===
CFLAGS=$(shell pkg-config --cflags polkit-gobject-1 gtk+-3.0 glib-2.0 gio-2.0 libgnome-control-center)
LIBS=$(shell pkg-config --libs polkit-gobject-1 gtk+-3.0 glib-2.0 gio-2.0 libgnome-control-center)
SOURCES=preferences-panel.c whoopsie-generated.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=libwhoopsie.so
LIB=$(DESTDIR)/usr/lib
DATA=$(DESTDIR)/usr/share
UIDIR=$(DATA)/gnome-control-center/ui
DBUS_CONF=$(DESTDIR)/etc/dbus-1/system.d
POLKIT_CONF=$(DESTDIR)/usr/share/polkit-1/actions
SERVICE_CONF=$(DESTDIR)/usr/share/dbus-1/system-services

DAEMON_CFLAGS=$(shell pkg-config --cflags gio-2.0 polkit-gobject-1)
DAEMON_LIBS=$(shell pkg-config --libs gio-2.0 polkit-gobject-1)

.PHONY: all clean

all: $(SOURCES) $(EXECUTABLE) whoopsie-preferences

$(EXECUTABLE): $(OBJECTS)
	gcc -shared -fPIC -Wl,-z -Wl,defs -Wl,-soname -Wl,$@ -o $@ $^ $(LIBS)
clean:
	rm -f $(OBJECTS) $(EXECUTABLE) whoopsie-preferences whoopsie-generated.*
%.o: %.c
	gcc -c $(CFLAGS) -DGNOMECC_UI_DIR=\"$(UIDIR)\" -fPIC -o $@ $^

whoopsie-preferences: whoopsie-preferences.o whoopsie-generated.o
	gcc -o $@ $^ $(DAEMON_LIBS)

whoopsie-preferences.o: whoopsie-preferences.c whoopsie-generated.c
	gcc -c $(CFLAGS) -o $@ $<

whoopsie-generated.c: whoopsie-preferences.xml
	gdbus-codegen --interface-prefix com.ubuntu. \
			--generate-c-code whoopsie-generated \
			$<

install: all
	install -d $(LIB)/control-center-1/panels
	install $(EXECUTABLE) $(LIB)/control-center-1/panels
	install -d $(DATA)/applications
	install -m644 whoopsie.desktop $(DATA)/applications
	install -d $(UIDIR)
	install -m644 whoopsie.ui $(UIDIR)
	install -d $(DBUS_CONF)
	install -m644 com.ubuntu.WhoopsiePreferences.conf $(DBUS_CONF)
	install -d $(POLKIT_CONF)
	install -m644 com.ubuntu.whoopsiepreferences.policy $(POLKIT_CONF)
	install -d $(LIB)/whoopsie
	install whoopsie-preferences $(LIB)/whoopsie
	install -d $(SERVICE_CONF)
	install -m644 com.ubuntu.WhoopsiePreferences.service $(SERVICE_CONF)

=== debian/changelog ===
whoopsie-daisy (0.1.6) precise; urgency=low

  * Don't fail if there are no crash files (LP: #928735).

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 09 Feb 2012 13:18:08 +0000

whoopsie-daisy (0.1.5) precise; urgency=low

  * Add a control center privacy preferences page.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 06 Feb 2012 14:19:15 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,11 @@
  libglib2.0-dev (>= 2.31.6),
  libcurl4-openssl-dev,
  libgcrypt11-dev,
- libcap-dev
+ libcap-dev,
+ libgnome-control-center-dev,
+ libpolkit-gobject-1-dev,
+ libgtk-3-dev,
+ python
 Standards-Version: 3.9.2
 Homepage: http://wiki.ubuntu.com/ErrorTracker
 Vcs-Bzr: http://code.launchpad.net/whoopsie-daisy

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DESTDIR=$(CURDIR)/debian/whoopsie

%:
	dh $@

## whoopsie-daisy 0.1.32

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --cflags) -g -Ilib -Wall -Werror -Os -DVERSION=\"$(VERSION)\"
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) $(shell libgcrypt-config --libs) -lcap
SOURCES=src/whoopsie.c src/utils.c src/connectivity.c src/monitor.c lib/bson/bson.c lib/bson/encoding.c lib/bson/numbers.c
OBJECTS=$(SOURCES:.c=.o)
EXECUTABLE=src/whoopsie
BIN=$(DESTDIR)/usr/bin
DATA=$(DESTDIR)/etc

.PHONY: all clean check install

all: $(SOURCES) $(EXECUTABLE)

$(EXECUTABLE): $(OBJECTS)
	c99 $(OBJECTS) $(LIBS) -o $@
clean:
	rm -f $(EXECUTABLE) $(OBJECTS)
	$(MAKE) -C src/tests clean
check:
	$(MAKE) -C src/tests
	if type cppcheck >/dev/null 2>&1; then \
		cppcheck . --error-exitcode=1; \
	fi
	find -name "*.py" -o -name "*.wsgi" | xargs pyflakes
coverage:
	$(MAKE) -C src/tests coverage
%.o: %.c
	c99 -c $(CFLAGS) -o $@ $^

install: all
	install -d $(BIN)
	install src/whoopsie $(BIN)
	install -d $(DATA)/init
	install -m644 data/whoopsie.conf $(DATA)/init
	install -d $(DATA)/default
	install -m644 data/whoopsie $(DATA)/default
	install -d $(DESTDIR)/usr/share/apport/package-hooks
	install -m644 data/whoopsie.py $(DESTDIR)/usr/share/apport/package-hooks

=== src/tests/Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d' ' -f2)
CFLAGS=$(shell pkg-config --cflags gio-2.0 glib-2.0 libcurl) \
		-g -I../../lib -I.. -DVERSION=\"$(VERSION)\" -DTEST -DTEST_DIR=\"$(CURDIR)\" -Wall
LIBS=$(shell pkg-config --libs gio-2.0 glib-2.0 libcurl) -lcap

test_parse_report_SOURCES=test_parse_report.c \
							../whoopsie.c \
							../utils.c \
							../../lib/bson/bson.c \
							../../lib/bson/encoding.c \
							../../lib/bson/numbers.c
test_parse_report_EXECUTABLE=test_parse_report
test_parse_report_OBJECTS=$(test_parse_report_SOURCES:.c=.test.o)

test_utils_SOURCES=test_utils.c \
					../utils.c
test_utils_EXECUTABLE=test_utils
test_utils_OBJECTS=$(test_utils_SOURCES:.c=.test.o)

test_monitor_SOURCES=test_monitor.c \
					../monitor.c \
					../utils.c
test_monitor_EXECUTABLE=test_monitor
test_monitor_OBJECTS=$(test_monitor_SOURCES:.c=.test.o)

.PHONY: all clean check

all: check

check: $(test_parse_report_EXECUTABLE) $(test_utils_EXECUTABLE) $(test_monitor_EXECUTABLE)
	$(foreach p, $^, ./$p -k;)

$(test_parse_report_EXECUTABLE): $(test_parse_report_OBJECTS)
	c99 $^ $(LIBS) -o $@
$(test_utils_EXECUTABLE): $(test_utils_OBJECTS)
	c99 $^ $(LIBS) -o $@
$(test_monitor_EXECUTABLE): $(test_monitor_OBJECTS)
	c99 $^ $(LIBS) -o $@

test_parse_report_coverage: $(test_parse_report_OBJECTS:.test.o=.coverage.o)
	c99 $^ $(LIBS) -lgcov -o $@
test_utils_coverage: $(test_utils_OBJECTS:.test.o=.coverage.o)
	c99 $^ $(LIBS) -lgcov -o $@
test_monitor_coverage: $(test_monitor_OBJECTS:.test.o=.coverage.o)
	c99 $^ $(LIBS) -lgcov -o $@
coverage: test_parse_report_coverage test_utils_coverage test_monitor_coverage
	$(foreach p, $^, ./$p -k;)
	$(foreach p, $(wildcard ../*.c), gcov $p -o $(p:.c=.coverage.o);)

clean:
	rm -f $(test_parse_report_EXECUTABLE) \
		$(test_parse_report_OBJECTS) \
		$(test_utils_OBJECTS) \
		$(test_utils_EXECUTABLE) \
		$(test_monitor_OBJECTS) \
		$(test_monitor_EXECUTABLE) \
		test_parse_report_coverage \
		test_utils_coverage \
		coverage
	find ../.. \( -name '*.coverage.o' -o \
		-name '*.gcda' -o \
		-name '*.gcno' -o \
		-name '*.gcov' \) -delete

%.coverage.o: %.c
	c99 -c -o $@ $^ $(CFLAGS) --coverage -O0
%.test.o: %.c
	c99 -c -o $@ $^ $(CFLAGS)

=== backend/stats/static/js/d3/Makefile ===
# See the README for installation instructions.

NODE_PATH ?= ./node_modules
JS_COMPILER = $(NODE_PATH)/uglify-js/bin/uglifyjs
JS_TESTER = $(NODE_PATH)/vows/bin/vows

all: \
	d3.v2.js \
	d3.v2.min.js \
	package.json

# Modify this rule to build your own custom release.

.INTERMEDIATE d3.v2.js: \
	src/start.js \
	d3.core.js \
	d3.scale.js \
	d3.svg.js \
	d3.behavior.js \
	d3.layout.js \
	d3.csv.js \
	d3.geo.js \
	d3.geom.js \
	d3.time.js \
	src/end.js

d3.core.js: \
	src/compat/date.js \
	src/compat/style.js \
	src/core/core.js \
	src/core/class.js \
	src/core/array.js \
	src/core/map.js \
	src/core/this.js \
	src/core/functor.js \
	src/core/rebind.js \
	src/core/ascending.js \
	src/core/descending.js \
	src/core/mean.js \
	src/core/median.js \
	src/core/min.js \
	src/core/max.js \
	src/core/extent.js \
	src/core/random.js \
	src/core/number.js \
	src/core/sum.js \
	src/core/quantile.js \
	src/core/transpose.js \
	src/core/zip.js \
	src/core/bisect.js \
	src/core/first.js \
	src/core/last.js \
	src/core/nest.js \
	src/core/keys.js \
	src/core/values.js \
	src/core/entries.js \
	src/core/permute.js \
	src/core/merge.js \
	src/core/split.js \
	src/core/collapse.js \
	src/core/range.js \
	src/core/requote.js \
	src/core/round.js \
	src/core/xhr.js \
	src/core/text.js \
	src/core/json.js \
	src/core/html.js \
	src/core/xml.js \
	src/core/ns.js \
	src/core/dispatch.js \
	src/core/format.js \
	src/core/formatPrefix.js \
	src/core/ease.js \
	src/core/event.js \
	src/core/interpolate.js \
	src/core/uninterpolate.js \
	src/core/rgb.js \
	src/core/hsl.js \
	src/core/selection.js \
	src/core/selection-select.js \
	src/core/selection-selectAll.js \
	src/core/selection-attr.js \
	src/core/selection-classed.js \
	src/core/selection-style.js \
	src/core/selection-property.js \
	src/core/selection-text.js \
	src/core/selection-html.js \
	src/core/selection-append.js \
	src/core/selection-insert.js \
	src/core/selection-remove.js \
	src/core/selection-data.js \
	src/core/selection-datum.js \
	src/core/selection-filter.js \
	src/core/selection-order.js \
	src/core/selection-sort.js \
	src/core/selection-on.js \
	src/core/selection-each.js \
	src/core/selection-call.js \
	src/core/selection-empty.js \
	src/core/selection-node.js \
	src/core/selection-transition.js \
	src/core/selection-root.js \
	src/core/selection-enter.js \
	src/core/selection-enter-select.js \
	src/core/transition.js \
	src/core/transition-select.js \
	src/core/transition-selectAll.js \
	src/core/transition-attr.js \
	src/core/transition-style.js \
	src/core/transition-text.js \
	src/core/transition-remove.js \
	src/core/transition-delay.js \
	src/core/transition-duration.js \
	src/core/transition-each.js \
	src/core/transition-transition.js \
	src/core/timer.js \
	src/core/transform.js \
	src/core/mouse.js \
	src/core/touches.js \
	src/core/noop.js

d3.scale.js: \
	src/scale/scale.js \
	src/scale/nice.js \
	src/scale/linear.js \
	src/scale/bilinear.js \
	src/scale/polylinear.js \
	src/scale/log.js \
	src/scale/pow.js \
	src/scale/sqrt.js \
	src/scale/ordinal.js \
	src/scale/category.js \
	src/scale/quantile.js \
	src/scale/quantize.js \
	src/scale/identity.js

d3.svg.js: \
	src/svg/svg.js \
	src/svg/arc.js \
	src/svg/line.js \
	src/svg/line-radial.js \
	src/svg/area.js \
	src/svg/area-radial.js \
	src/svg/chord.js \
	src/svg/diagonal.js \
	src/svg/diagonal-radial.js \
	src/svg/mouse.js \
	src/svg/touches.js \
	src/svg/symbol.js \
	src/svg/axis.js \
	src/svg/brush.js

d3.behavior.js: \
	src/behavior/behavior.js \
	src/behavior/drag.js \
	src/behavior/zoom.js

d3.layout.js: \
	src/layout/layout.js \
	src/layout/bundle.js \
	src/layout/chord.js \
	src/layout/force.js \
	src/layout/partition.js \
	src/layout/pie.js \
	src/layout/stack.js \
	src/layout/histogram.js \
	src/layout/hierarchy.js \
	src/layout/pack.js \
	src/layout/cluster.js \
	src/layout/tree.js \
	src/layout/treemap.js

d3.geo.js: \
	src/geo/geo.js \
	src/geo/azimuthal.js \
	src/geo/albers.js \
	src/geo/bonne.js \
	src/geo/equirectangular.js \
	src/geo/mercator.js \
	src/geo/type.js \
	src/geo/path.js \
	src/geo/bounds.js \
	src/geo/circle.js \
	src/geo/greatArc.js \
	src/geo/greatCircle.js

d3.csv.js: \
	src/csv/csv.js \
	src/csv/parse.js \
	src/csv/format.js

d3.time.js: \
	src/time/time.js \
	src/time/format.js \
	src/time/format-utc.js \
	src/time/format-iso.js \
	src/time/interval.js \
	src/time/second.js \
	src/time/minute.js \
	src/time/hour.js \
	src/time/day.js \
	src/time/week.js \
	src/time/month.js \
	src/time/year.js \
	src/time/scale.js \
	src/time/scale-utc.js

d3.geom.js: \
	src/geom/geom.js \
	src/geom/contour.js \
	src/geom/hull.js \
	src/geom/polygon.js \
	src/geom/voronoi.js \
	src/geom/delaunay.js \
	src/geom/quadtree.js

test: all
	@$(JS_TESTER)

%.min.js: %.js Makefile
	@rm -f $@
	$(JS_COMPILER) < $< > $@

d3%.js: Makefile
	@rm -f $@
	cat $(filter %.js,$^) > $@
	@chmod a-w $@

install:
	mkdir -p node_modules
	npm install

package.json: d3.v2.js src/package.js
	@rm -f $@
	node src/package.js > $@
	@chmod a-w $@

clean:
	rm -f d3*.js package.json

=== debian/changelog ===
whoopsie-daisy (0.1.32) precise; urgency=low

  * Fix failing tests on powerpc and ARM.

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 18 Apr 2012 13:04:36 +0100

whoopsie-daisy (0.1.31) precise; urgency=low

  * == is a bashism.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 12 Apr 2012 15:06:11 +0100

whoopsie-daisy (0.1.30) precise; urgency=low

  * Stop rejecting legal arguments to the postinst (LP: #978436). Thanks
    Colin Watson!

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 12 Apr 2012 09:00:26 +0100

whoopsie-daisy (0.1.29) precise; urgency=low

  * Mark reports as complete when we get a HTTP response of 400 from the
    server, as these represent the server not liking what we sent it.
    Sending these again repeatedly would be pointless (LP: #979082). 

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 11 Apr 2012 17:36:32 +0100

whoopsie-daisy (0.1.28) precise; urgency=low

  * Create /var/crash if it doesn't already exist. Don't silence the
    chmod and chgrp calls on it. Thanks Colin Watson (LP: #978502)!

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 11 Apr 2012 09:44:12 +0100

whoopsie-daisy (0.1.27) precise; urgency=low

  * Drop /etc/cron.daily/whoopsie. This is handled in apport now.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 10 Apr 2012 18:01:02 +0100

whoopsie-daisy (0.1.26) precise; urgency=low

  * Take ownership of the NetworkManager state variant on setup and
    unref it, plugging a memory leak.
  * Log the reason the server rejected the submitted crash report.
  * Send the Whoopsie version with each crash submission.
  * Delete both .upload and .uploaded files after 14 days. Thanks
    Marc Deslauriers (LP: #973687).

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 10 Apr 2012 14:28:58 +0100

whoopsie-daisy (0.1.25) precise; urgency=low

  * Stop using a queue to monitor reports that need to be processed.
    Just iterate over the reports that have a .upload file, but do not
    have a matching .uploaded file.
  * Set the GSettings backend to memory to avoid pulling in DConf when
    we call into GNetworkMonitor.
  * Split out the /var/crash monitoring code and add tests for it.
  * Plug some memory leaks.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 29 Mar 2012 23:30:39 +0100

whoopsie-daisy (0.1.24) precise; urgency=low

  * Add the file listing of /var/crash to whoopsie bug reports. Taken
    from apport's package hook.
  * Fix cppcheck call in make check.
  * Monitor network connectivity using NetworkManager and GNetworkMonitor.
    Do not report being online and able to report crashes if the user only
    has 3G or dial-up connectivity, or if there is no route.
  * Do not upload crashes multiple times if the file attributes for
    their .upload files change while on the report queue.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 29 Mar 2012 11:37:51 +0100

whoopsie-daisy (0.1.23) precise; urgency=low

  * Fix builds failing when cppcheck isn't present.
  * Clean up closing file descriptors in mark_handled. Thanks Colin
    Watson.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 23 Mar 2012 14:43:41 +0000

whoopsie-daisy (0.1.22) precise; urgency=low

  * Do not leak the file descriptor of our lockfile.
  * Do not leak a file descriptor when marking a report as handled. Add
    a test for the mark_report function.
  * Fix potential NULL pointer dereference in report tests.
  * If allocated with g_malloc, free with g_free.
  * Add cppcheck to make check, but only when it's installed.
  * Plug a memory corruption bug (hopefully). g_queue_find_custom
    returns a *link* not a list, so do not try to hand it back to the
    slice allocator as if it were a list.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 23 Mar 2012 14:17:43 +0000

whoopsie-daisy (0.1.21) precise; urgency=low

  [ Steve Langasek ]
  * debian/rules: make sure dh_installinit knows about our upstart job, so
    we get correct start/stop/restart handling on install/removal/upgrade.

  [ Evan Dandrea ]
  * Disable the network detection for now, to help in tracking the
    source of a memory corruption bug.
  * Clean up option parsing a bit.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 23 Mar 2012 11:44:51 +0000

whoopsie-daisy (0.1.20) precise; urgency=low

  * Handle errors in changing the filename extension, even when we're
    pretty sure we have an extension.
  * Handle errors in g_file_get_path.
  * CURLOPT_WRITEFUNCTION may be called successively. Grow a string with
    each call to account for this.
  * Add an apport hook for attaching the stderr output when run under
    upstart.

 -- Evan Dandrea <ev@ubuntu.com>  Thu, 22 Mar 2012 15:22:51 +0000

whoopsie-daisy (0.1.19) precise; urgency=low

  * Handle errors in parsing the crash database URL.
  * Do not double-free the crash database core submission URL when a
    system UUID is not present (LP: #960972).
  * Handle errors in bson_append_string.
  * Handle more BSON error conditions.
  * Handle empty values in the apport format ("KeyName:\n")
    (LP: #960766, LP: #960737, LP: #960751).

 -- Evan Dandrea <ev@ubuntu.com>  Wed, 21 Mar 2012 17:39:20 +0000

whoopsie-daisy (0.1.18) precise; urgency=low

  * Use https for crash reporting.
  * Ensure we generate core dumps when whoopsie crashes.
  * Do not give whoopsie a shell.

 -- Evan Dandrea <ev@ubuntu.com>  Tue, 20 Mar 2012 21:24:51 +0000

whoopsie-daisy (0.1.17) precise; urgency=low

  * Ship a default configuration file.

 -- Evan Dandrea <ev@ubuntu.com>  Fri, 16 Mar 2012 14:36:57 +0000

whoopsie-daisy (0.1.16) precise; urgency=low

  * Fix the build of the previous release failing on account of make
    check was failing in the backend code.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 12 Mar 2012 17:45:47 +0000

whoopsie-daisy (0.1.15) precise; urgency=low

  * Handle multiple crashes of the same binary by watching the
    modification times on the .upload and .uploaded files.

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 12 Mar 2012 17:06:26 +0000

whoopsie-daisy (0.1.14) precise; urgency=low

  * Do not include 'base64 ' on the front of any base64-encoded field.


=== debian/control ===
Source: whoopsie-daisy
Section: utils
Priority: optional
Maintainer: Evan Dandrea <ev@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0),
 libglib2.0-dev (>= 2.31.6),
 libcurl4-openssl-dev,
 libgcrypt11-dev,
 libcap-dev,
 libgtk-3-dev,
 network-manager-dev (>= 0.9.4.0-0ubuntu1),
 python,
 pyflakes,
 dpkg-dev
Standards-Version: 3.9.2
Homepage: http://wiki.ubuntu.com/ErrorTracker
Vcs-Bzr: http://code.launchpad.net/whoopsie-daisy

Package: whoopsie
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Pre-Depends: ${misc:Pre-Depends}
Description: Ubuntu crash database submission daemon
 This program submits crash reports back to an Ubuntu server.

## whoopsie-daisy 0.1.34.1

=== backend/stats/static/js/nvd3/Makefile ===
JS_FILES = \
	src/nvtooltip.js \
	src/intro.js \
	src/core.js \
	src/models/legend.js \
	src/models/xaxis.js \
	src/models/yaxis.js \
	src/models/bar.js \
	src/models/line.js \
	src/models/lineWithFocus.js \
	src/models/lineWithLegend.js \
	src/models/scatter.js \
	src/models/scatterWithLegend.js \
	src/models/sparkline.js \
	src/models/stackedArea.js \
	src/models/stackedAreaWithLegend.js \
	src/charts/lineChart.js \
	src/outro.js

JS_COMPILER = \
	uglifyjs

all: nv.d3.js nv.d3.min.js
nv.d3.js: $(JS_FILES)
nv.d3.min.js: $(JS_FILES)

nv.d3.js: Makefile
	rm -f $@
	cat $(filter %.js,$^) >> $@

%.min.js:: Makefile
	rm -f $@
	cat $(filter %.js,$^) | $(JS_COMPILER) >> $@

clean:
	rm -rf nv.d3.js nv.d3.min.js

=== debian/changelog ===
whoopsie-daisy (0.1.34.1) precise-proposed; urgency=medium

  * src/whoopsie.c: Move UnreportableReason from fields we don't send to
    errors to fields we do, that way we know apport's opinion of the crash.
    (LP: #1382233)

 -- Brian Murray <brian@ubuntu.com>  Mon, 09 Nov 2015 13:34:23 -0800

whoopsie-daisy (0.1.34) precise-proposed; urgency=medium

  * Do not send Stacktrace, and ThreadStacktrace as retracing with ddebs will
    provide more useful versions of them. (LP: #1306175)

 -- Brian Murray <brian@ubuntu.com>  Mon, 14 Apr 2014 15:48:06 -0700

whoopsie-daisy (0.1.33) precise-proposed; urgency=low

  * Continue to process the existing crash reports every two hours, not
    just once after two hours (LP: #1205374).

 -- Evan Dandrea <ev@ubuntu.com>  Mon, 29 Jul 2013 17:16:42 +0100
